Page MenuHome

Mantaflow Fails to bake liquid particles with plane shaped flow objects
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce MX130/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 442.19

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f
Worked: version 2.82 beta (daily build from 2020-01-21, Hash: bda0c0847b5e)

Short description of error
I noticed that Mantaflow does not bake the liquid particles with plane shaped flow object.
I also tested this on a beta version I downloaded back in 2020-01-21, and it works in the beta with planes, I wonder why that's the case.
(This is edited, so that the solidify modifier is removed. And I still believe it is valid since the beta did work, even with 64 resolution divisions.)
Exact steps for others to reproduce the error

  1. Based on the attacked .blend file, which is a domain with a circular plane in it.
  2. Select the domain, and hit "bake data", after baking, it remains unchanged, no particles show up.
  3. Free the data. Close the stable version.
  4. Open up the attched .zip file, and run blender.exe in it. This is the beta version from 2020-01-21 (Yeah it's a little bit large, I am sorry.)
  5. Open the attached .blend file with it, and bake again
  6. You can see it is actually baking.


Event Timeline

Zijun Zhou (Eary) renamed this task from Mantaflow Fails to bake liquid particles with flow objects that has thickness less than 0.042 m to Mantaflow Fails to bake liquid particles with flow objects that have thickness less than 0.042 m.Feb 16 2020, 4:35 AM
Richard Antalik (ISS) changed the task status from Needs Triage to Confirmed.Feb 17 2020, 12:53 PM
Bastien Montagne (mont29) claimed this task.

Given how stretch your inflow object is, you simply need to increase the Resolution Divisions parameter... No bug here.

This comment was removed by Zijun Zhou (Eary).

But still, delete the solidify modifier, and the beta version works, but not the stable version, I wonder why.

Zijun Zhou (Eary) renamed this task from Mantaflow Fails to bake liquid particles with flow objects that have thickness less than 0.042 m to Mantaflow Fails to bake liquid particles with plane shaped flow objects.Feb 17 2020, 4:22 PM
Zijun Zhou (Eary) updated the task description. (Show Details)

I updated the task description, since I now understand the problem has nothing to do with thickness and solidify modifier. And I don't want this problem to be left not resolved because of my wording problem. Please compare the results from both the stable version, and the beta version from 2020-01-21 attached.

Bastien Montagne (mont29) reopened this task as Needs Developer to Reproduce.Feb 17 2020, 5:35 PM
Bastien Montagne (mont29) changed the subtype of this task from "Report" to "Bug".

@Sebastián Barschkis (sebbas) think that one is for you to check then?

@Zijun Zhou (Eary) I just committed a fix (cda81d5a4d39) that makes it easier to setup plane objects as emitters (same applies to planar obstacles). Now the only requirement is to set "Is Planar" in the flow objects. The object will have some thickness by default.

Can you confirm that this fixes your issue?

Closing since, in my view, this is no longer an issue.